uniform sampler2D diffuse_texture;
varying vec2 texcoord0;
varying vec4 K_color;
varying float r, theta, s;

void main() {
    gl_FragColor = texture2D(diffuse_texture, texcoord0);
//    gl_FragColor =  0.1*texture2D(diffuse_texture, texcoord0) + s;
//    gl_FragColor = 0.1*texture2D(diffuse_texture, texcoord0) + theta/6.28+0.5;
}
